org.eclipse.eef

## Interface EEFSemanticValidationRuleDescription

All Superinterfaces:
  EEFValidationRuleDescription, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  EEFSemanticValidationRuleDescriptionImpl

    public interface EEFSemanticValidationRuleDescription
    extends EEFValidationRuleDescription

A representation of the model object 'EEF Semantic Validation Rule Description'.

The following features are supported:

- `Target Class`

See Also:
  `EefPackage.getEEFSemanticValidationRuleDescription()`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getTargetClass()` Returns the value of the 'Target Class' attribute.
`void` `setTargetClass(java.lang.String value)` Sets the value of the '`Target Class`' attribute.

### Methods inherited from interface org.eclipse.eef.EEFValidationRuleDescription

`getAudits, getFixes, getMessageExpression, getSeverity, setMessageExpression, setSeverity`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getTargetClass

    java.lang.String getTargetClass()

Returns the value of the 'Target Class' attribute. The target class involved in this validation rule.

Returns:
  the value of the 'Target Class' attribute.
See Also:
  `setTargetClass(String)`, `EefPackage.getEEFSemanticValidationRuleDescription_TargetClass()`

#### setTargetClass

    void setTargetClass(java.lang.String value)

Sets the value of the '`Target Class`' attribute.

Parameters:
  `value` - the new value of the 'Target Class' attribute.
See Also:
  `getTargetClass()`